Bug 245328 - lang/nim: Update to 1.2.0
Summary: lang/nim: Update to 1.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://nim-lang.org/blog/2020/04/03/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-03 20:27 UTC by Loïc Bartoletti
Modified: 2020-04-04 11:17 UTC (History)
1 user (show)

See Also:
ports: maintainer-feedback+


Attachments
nim 1.2.0 (14.03 KB, patch)
2020-04-03 20:27 UTC, Loïc Bartoletti
no flags Details | Diff
nim 1.2.0 (14.14 KB, patch)
2020-04-03 20:33 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2020-04-03 20:27:49 UTC
Created attachment 213030 [details]
nim 1.2.0

lang/nim: Update to 1.2.0


 * Remove files/patch-koch.nim (This patch is not needed to build nim and tools)
 * Update files/patch-install.sh and files/patch-config-nim.cfg
 * Unbreak arm (fixed upstream) [1]
 * Add all optional tools (superseded #244980)
 * Order pkg-plist
 * Move USES (pet portlint)

 Changelog:

   https://nim-lang.org/blog/2020/04/03/version-120-released.html

 [1] https://github.com/nim-lang/Nim/pull/13822

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11/12/13 i386/amd64 and 13 arm64.aarch64/arm.armv6, <OPTIONS> tested)
Comment 1 Loïc Bartoletti freebsd_committer 2020-04-03 20:33:43 UTC
Created attachment 213031 [details]
nim 1.2.0

portlint
Comment 2 Automation User 2020-04-03 21:06:51 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/132733108
Comment 3 Neal Nelson 2020-04-04 07:30:14 UTC
I was just reading about the update to Nim, and here someone has updated the port for me already. It all looks good.

Thanks.
Comment 4 commit-hook freebsd_committer 2020-04-04 11:15:02 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Apr  4 11:11:51 UTC 2020
New revision: 530639
URL: https://svnweb.freebsd.org/changeset/ports/530639

Log:
  lang/nim: Update to 1.2.0

      - Remove files/patch-koch.nim (This patch is not needed to build nim and tools)
      - Update files/patch-install.sh and files/patch-config-nim.cfg
      - Unbreak arm (fixed upstream) [1]
      - Add all optional tools
      - Order pkg-plist
      - Move USES (pet portlint)

  [1] https://github.com/nim-lang/Nim/pull/13822

  Changelog:

      - https://nim-lang.org/blog/2020/04/03/version-120-released.html

  PR:		245328
  Approved by:	tcberner (mentor), Neal Nelson (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D24294

Changes:
  head/lang/nim/Makefile
  head/lang/nim/distinfo
  head/lang/nim/files/patch-config-nim.cfg
  head/lang/nim/files/patch-install.sh
  head/lang/nim/files/patch-koch.nim
  head/lang/nim/pkg-plist